---
colors:
  dark0_hard: &dark0_hard 1d2021ff
  dark0: &dark0 282828ff
  dark0_soft: &dark0_soft 32302fff
  dark1: &dark1 3c3836ff
  dark2: &dark2 504945ff
  dark3: &dark3 665c54ff
  dark4: &dark4 7c6f64ff
  dark4_256: &dark4_256 7c6f64ff
  gray_245: &gray_245 928374ff
  gray_244: &gray_244 928374ff
  light0_hard: &light0_hard f9f5d7ff
  light0: &light0 fbf1c7ff
  light0_soft: &light0_soft f2e5bcff
  light1: &light1 ebdbb2ff
  light2: &light2 d5c4a1ff
  light3: &light3 bdae93ff
  light4: &light4 a89984ff
  light4_256: &light4_256 a89984ff
  bright_red: &bright_red fb4934ff
  bright_green: &bright_green b8bb26ff
  bright_yellow: &bright_yellow fabd2fff
  bright_blue: &bright_blue 83a598ff
  bright_purple: &bright_purple d3869bff
  bright_aqua: &bright_aqua 8ec07cff
  bright_orange: &bright_orange fe8019ff
  neutral_red: &neutral_red cc241dff
  neutral_green: &neutral_green 98971aff
  neutral_yellow: &neutral_yellow d79921ff
  neutral_blue: &neutral_blue 458588ff
  neutral_purple: &neutral_purple b16286ff
  neutral_aqua: &neutral_aqua 689d6aff
  neutral_orange: &neutral_orange d65d0eff
  faded_red: &faded_red 9d0006ff
  faded_green: &faded_green 79740eff
  faded_yellow: &faded_yellow b57614ff
  faded_blue: &faded_blue 076678ff
  faded_purple: &faded_purple 8f3f71ff
  faded_aqua: &faded_aqua 427b58ff
  faded_orange: &faded_orange af3a03ff

bar:
  height: 26
  location: top
  background: 292929ff
  foreground: ebdbb2ff
  spacing: 5
  # margin: 7
  monitor: LVDS-1
  font: Noto Sans Mono

  left:
    - script:
        path: /home/sogun/.config/herbstluftwm/herbsttag
        args: [0]
        anchors:
          - viewed: &viewed {foreground: *dark0, deco: {background: {color: *bright_blue}}}
          - on_other: &other {foreground: *light1, deco: {background: {color: *dark3}}}
          - hidden: &hidden {foreground: ebdbb2ff}
          - urgent: &urgent {deco: {background: {color: *bright_orange}}}
        content:
          - map:
              tag: tag_1_status
              values:
                hidden: {string: {text: " 1 ", <<: *hidden}}
                viewed: {string: {text: " 1 ", <<: *viewed}}
                on_other: {string: {text: " 1 ", <<: *other}}
          - map:
              tag: tag_2_status
              values:
                hidden: {string: {text: " 2 ", <<: *hidden}}
                viewed: {string: {text: " 2 ", <<: *viewed}}
                on_other: {string: {text: " 2 ", <<: *other}}
          - map:
              tag: tag_3_status
              values:
                hidden: {string: {text: " 3 ", <<: *hidden}}
                viewed: {string: {text: " 3 ", <<: *viewed}}
                on_other: {string: {text: " 3 ", <<: *other}}
          - map:
              tag: tag_4_status
              values:
                hidden: {string: {text: " 4 ", <<: *hidden}}
                viewed: {string: {text: " 4 ", <<: *viewed}}
                on_other: {string: {text: " 4 ", <<: *other}}
          - map:
              tag: tag_5_status
              values:
                hidden: {string: {text: " 5 ", <<: *hidden}}
                viewed: {string: {text: " 5 ", <<: *viewed}}
                on_other: {string: {text: " 5 ", <<: *other}}
          - map:
              tag: tag_6_status
              values:
                hidden: {string: {text: " 6 ", <<: *hidden}}
                viewed: {string: {text: " 6 ", <<: *viewed}}
                on_other: {string: {text: " 6 ", <<: *other}}
          - map:
              tag: tag_7_status
              values:
                hidden: {string: {text: " 7 ", <<: *hidden}}
                viewed: {string: {text: " 7 ", <<: *viewed}}
                on_other: {string: {text: " 7 ", <<: *other}}
          - map:
              tag: tag_8_status
              values:
                hidden: {string: {text: " 8 ", <<: *hidden}}
                viewed: {string: {text: " 8 ", <<: *viewed}}
                on_other: {string: {text: " 8 ", <<: *other}}
          - map:
              tag: tag_9_status
              values:
                hidden: {string: {text: " 9 ", <<: *hidden}}
                viewed: {string: {text: " 9 ", <<: *viewed}}
                on_other: {string: {text: " 9 ", <<: *other}}
          # - string: {text: "| {current_window}"}

  center:
    - xwindow:
        content: {string: {text: "{title}"}}

  right:
    - script:
        path: /usr/bin/playerctl
        args:
          - "--follow"
          - "metadata"
          - "-f"
          - |
            status|string|{{status}}
            artist|string|{{artist}}
            title|string|{{title}}
        content:
          map:
            tag: status
            values:
              Paused: {empty: {}}
              Playing: {string: {text: "{artist} - {title}"}}
    - script:
        path: /bin/sh
        poll-interval: 10
        args:
          - -c
          - read min _ < /proc/loadavg ; echo -e "load|string|$min\n"
        content: {string: {text: " {load}"}}
    - network:
        name: wlan0
        content:
          map:
            tag: state
            default: {empty: {}}
            values:
              up:
                - string:
                    text: ""
                    font: "Font Awesome 5 Free:style=solid:size=12"
                - string: {text: "{ssid} "}

    - clock:
        date-format: "%d.%m."
        content:
          - string: {text: , font: "Font Awesome 5 Free:style=solid:size=12"}
          - string: {text: " {date}", right-margin: 5}
          - string: {text: "", font: "Font Awesome 5 Free:style=solid:size=12"}
          - string: {text: " {time} "}

